Subject: Disman issue Event-05

From: Randy Presuhn <[email-masked]>
Date: Thu, 26 Aug 1999 16:00:03 -0700 (PDT)

Disman issue Event-05:

> > Error handling is by notification, which at first thought violates the
> > principle that notifications may be lost or become a crippling burden,
> > but the intent is that such error notifications be enabled only for the
> > diagnosis of problems indicated by error counters and if the
> > notifications are being lost they be directed to the log as described in
> > the Notification Log MIB [rfcNotificationLogMIB].  Note that this does
> 
> Do we want to suggest use of INFORMS?

 ------------------------------------------------------------------------
 Randy Presuhn           [email-masked]     http://www.bmc.com/
 Voice: +1 408 616-3100  BMC Software, Inc.           965 Stewart Drive
 Fax:   +1 408 616-3101  Sunnyvale, California 94086  USA
 ------------------------------------------------------------------------
 Any relationship between my opinions and BMC's is probably coincidental.
 ------------------------------------------------------------------------

---

From: Randy Presuhn <[email-masked]>
Date: Mon, 30 Aug 1999 13:31:10 -0700 (PDT)

Hi -

I'm forwarding the attached non-subscriber pot to the disman list.

Date: Mon, 30 Aug 1999 15:53:06 -0400 (EDT)
>From: Scott Bradner <[email-masked]>
Message-Id: <[email-masked]>
To: [email-masked], [email-masked]
Subject: Re:  Disman issue Event-05
Cc: [email-masked]

one should use SHOULD if one wants to clearly state a specific 
function is desired but not required - but the use of caps is
a tool for making things clearer - it does not have to be used
and if the text is clear enough might not bring any particular
advantage - it can be more useful in the case of MUST meaning
that a function has to be supported or the implimentation is
non-complying - using MUST makes this stand out clearly

Scott

---

From: Randy Presuhn <[email-masked]>
Date: Tue, 31 Aug 1999 09:42:46 -0700 (PDT)

Hi -

> Date: Mon, 30 Aug 1999 20:24:18 -0400
> From: Jon Saperia <[email-masked]>
> Reply-To: [email-masked]
> To: Randy Presuhn <[email-masked]>
> CC: [email-masked], Jon Saperia <[email-masked]>
> References: <[email-masked]>
...
> I can live with your compromise.  I would prefer the inclusion of
> INFORMS since the wording is reduce loss of notification, not guarantee. 
...

Would this make everyone happy?

| Error handling is by notification.  These error notifications should
| be enabled only for the diagnosis of problems indicated by error
| counters.  If minimizing the probability of notification loss is a
| concern they should be transmitted as Inform PDUs as described in the
| [SNMP-TARGET-MIB] or directed to a log as described in the Notification
| Log MIB [rfcNotificationLogMIB].  Note that this does

Comments?